# Move a sub-order to the top of its machine's queue (/docs/api-reference/production-orders/ProductionOrdersController_moveSubToTop)

`POST /api/factories/{factoryId}/production-orders/{id}/sub-orders/{subId}/move-to-top`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string |  |
| `id` | path | yes | string |  |
| `subId` | path | yes | string |  |

## Responses

### 201